Subject: Re: [PATCH] MPC8xx PCMCIA driver

From: Russell King <[email-masked]>
Date: Tue, 30 Aug 2005 08:06:26 +0100

On Mon, Aug 29, 2005 at 11:48:40PM -0300, Marcelo Tosatti wrote:
> Here goes the 8xx PCMCIA driver, originally written by Magnus Damm, with
> several improvements and fixes.

Please don't copy me on PCMCIA stuff - I don't look after PCMCIA anymore.
Please use the linux-pcmcia mailing list on lists.infradead.org.  Thanks.

> Russell: The driver is using pccard_nonstatic_ops for card window
> management, even though the driver its marked SS_STATIC_MAP (using
> mem->static_map).
> 
> Otherwise card IO windows aren't allocated properly.

This seems very wrong.  Are you suggesting that IO windows need to be
dynamic and memory windows static?  If so, the pcmcia code isn't
designed to cope with that.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of:  2.6 Serial core